<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<beans xmlns="http://www.springframework.org/schema/beans" 
	xmlns:http-conf="http://cxf.apache.org/transports/http/configuration" 
	xmlns:conf-sec="http://cxf.apache.org/configuration/security" 
	xmlns:aop="http://www.springframework.org/schema/aop" 
	xmlns:context="http://www.springframework.org/schema/context" 
	xmlns:jee="http://www.springframework.org/schema/jee" 
	xmlns:tx="http://www.springframework.org/schema/tx" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
 	xmlns:cxf="http://cxf.apache.org/core"
 	xmlns:jaxws="http://cxf.apache.org/jaxws"
    xmlns:jaxrs="http://cxf.apache.org/jaxrs"
    xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/aop 
		http://www.springframework.org/schema/aop/spring-aop-3.0.xsd   
		http://www.springframework.org/schema/beans 
		http://www.springframework.org/schema/beans/spring-beans-3.0.xsd   
		http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-3.0.xsd   
		http://www.springframework.org/schema/jee
        http://www.springframework.org/schema/jee/spring-jee-3.0.xsd   
		http://www.springframework.org/schema/tx
        http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
        http://www.springframework.org/schema/util
        http://www.springframework.org/schema/util/spring-util-3.0.xsd
		http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
		http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
		http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd
		http://cxf.apache.org/transports/http/configuration 
		http://cxf.apache.org/schemas/configuration/http-conf.xsd">
 
    <!-- Load CXF modules from cxf.jar -->
    <import resource="classpath:META-INF/cxf/cxf.xml"/>
    <import resource="classpath:META-INF/cxf/cxf-extension-soap.xml"/>
    <import resource="classpath:META-INF/cxf/cxf-servlet.xml"/>
    
	<http-conf:conduit name="*.http-conduit">
    	<http-conf:client AllowChunking="false" ChunkingThreshold="1024" Connection="Keep-Alive" ProxyServer="${arqspring.mock.proxy.host}" ProxyServerPort="${arqspring.mock.proxy.port}"/>
   		<http-conf:proxyAuthorization>
			<conf-sec:UserName>${arqspring.mock.proxy.user}</conf-sec:UserName>
			<conf-sec:Password>${arqspring.mock.proxy.pass}</conf-sec:Password>
		</http-conf:proxyAuthorization>
    </http-conf:conduit>
    
    <cxf:bus>
        <cxf:inInterceptors>
			<bean id= "cabeceraInbound" class="com.bbva.jee.arq.spring.core.contexto.cabecera.webServices.CabeceraTecnicaServicio" />
        </cxf:inInterceptors>
        <cxf:outInterceptors>
        	<bean id= "cabeceraOutbound" class="com.bbva.jee.arq.spring.core.contexto.cabecera.webServices.CabeceraTecnicaCliente" />
       </cxf:outInterceptors>
    </cxf:bus>

	<bean class="com.bbva.jee.arq.spring.core.comunicaciones.cxf.ComTransportFactory"
		lazy-init="false">
		<property name="transportIds">
			<list>
				<value>com://schemas.xmlsoap.org/soap/http</value>
			</list>
		</property>
		<property name="bus" ref="cxf"/>
	</bean>
	
	<bean class="com.bbva.jee.arq.spring.core.servicios.cxf.ApacheCXFRuntimeInitializer"/>
	
	<!-- ASPECTOS -->
	<aop:aspectj-autoproxy/>
	
	<!--Parametria  -->
	<bean id="SesionService" class="com.bbva.msca.back.srv.SesionServiceImpl"></bean>
	<bean id="TipologiaService" class="com.bbva.msca.back.srv.TipologiaServiceImpl"></bean>
	<bean id="AsignacionSesionService" class="com.bbva.msca.back.srv.AsignacionSesionServiceImpl"></bean>
	<bean id="AsignacionTipologiaService" class="com.bbva.msca.back.srv.AsignacionTipologiaServiceImpl"></bean>
	<bean id="MatrizService" class="com.bbva.msca.back.srv.MatrizServiceImpl"></bean>
	<bean id="TipoPrioridadService" class="com.bbva.msca.back.srv.TipoPrioridadServiceImpl"></bean>
	<bean id="PerfiladoService" class="com.bbva.msca.back.srv.PerfiladoServiceImpl"></bean>
	
	<!--Dictamen  -->
	<bean id="DictamenService" class="com.bbva.msca.back.srv.DictamenServiceImpl"></bean>
	
	<!--Deteccion De Clientes de Riesgo  -->
	<bean id="CuentasClienteRiesgoService" class="com.bbva.msca.back.srv.CuentasClienteRiesgoServiceImpl"></bean>
	<bean id="ConsultaClienteRiesgoService" class="com.bbva.msca.back.srv.ConsultaClienteRiesgoServiceImpl"></bean>
	<bean id="ModuloCheckListService" class="com.bbva.msca.back.srv.ModuloCheckListServiceImpl"></bean>
	<bean id="TransaccionPEE5Service" class="com.bbva.msca.back.srv.TransaccionPEE5ServiceImpl"></bean>
	
	<!--Consulta de Casos  -->
	<bean id="ConsultaCasosService" class="com.bbva.msca.back.srv.ConsultaCasosServiceImpl"></bean>
	
	<!--Bloqueo de Cuentas  -->
	<bean id="BloqueoCuentasService" class="com.bbva.msca.back.srv.BloqueoCuentasServiceImpl"></bean>
		
	<!--Detalle de Alertas  -->	
	<bean id="AlertasService" class="com.bbva.msca.back.srv.AlertasServiceImpl"></bean>
	
	<!-- Movimientos  -->
	<bean id="MovimientosService" class="com.bbva.msca.back.srv.MovimientosServiceImpl"></bean>

    <!--Asignacion de Casos  -->
	<bean id="AsignacionCasosService" class="com.bbva.msca.back.srv.AsignacionCasosServiceImpl"></bean>
	
	<!--Cedula de Caso y Analisis De Caso  -->
	<bean id="CasosService" class="com.bbva.msca.back.srv.CasosServiceImpl"></bean>
	
	<!--Casos Pendientes  -->
	<bean id="CasosPendientesService" class="com.bbva.msca.back.srv.CasosPendientesServiceImpl"></bean>
	
	<!--Catalogos del Sistema  -->
	<bean id="CatalogoService" class="com.bbva.msca.back.srv.CatalogoServiceImpl"></bean>
	
	<!-- Módulo Checklist Cliente Reportado -->
	<bean id="ChecklistService" class="com.bbva.msca.back.srv.ChecklistServiceImpl"></bean>
	
	<!-- PDF Cedula Service -->
	<bean id="CedulaCasoPDFService" class="com.bbva.msca.back.srv.CedulaCasoPDFServiceImpl"></bean>	
	
	<!-- Ejecución cron job -->
	<bean id="taskDAO" class="com.bbva.msca.back.dao.TaskDAO"/>
	
	<jaxrs:server id="servidor" address="/rest">
 		<jaxrs:serviceBeans>
   			<ref bean="SesionService"/>
   			<ref bean="TipologiaService"/>
   			<ref bean="AsignacionSesionService"/>
   		    <ref bean="AsignacionTipologiaService"/>
   			<ref bean="MatrizService"/>
   			<ref bean="PerfiladoService"/>
   			<ref bean="TipoPrioridadService"/>
   			<ref bean="AlertasService"/>
   			<ref bean="DictamenService"/>
   		    <ref bean="CuentasClienteRiesgoService"/>
   			<ref bean="ConsultaClienteRiesgoService"/>
   			<ref bean="ModuloCheckListService"/>
   			<ref bean="TransaccionPEE5Service"/>   			
   			<ref bean="MovimientosService"/>
   			<ref bean="BloqueoCuentasService"/>
   			<ref bean="AsignacionCasosService"/>
   			<ref bean="CasosService"/>
   		   	<ref bean="ConsultaCasosService"/>
   		   	<ref bean="CasosPendientesService"/>
   		   	<ref bean="CatalogoService"/>
   		   	<ref bean="ChecklistService"/>
   		   	<ref bean="CedulaCasoPDFService"/>
   		</jaxrs:serviceBeans>
	    <jaxrs:extensionMappings>
			<entry key="feed" value="application/atom+xml" />
			<entry key="json" value="application/json" />
			<entry key="xml" value="application/xml" />
			<entry key="html" value="text/html" />		   
	     </jaxrs:extensionMappings>
	    <jaxrs:providers>
				<bean class="org.codehaus.jackson.jaxrs.JacksonJsonProvider" />
		</jaxrs:providers>
		<jaxrs:features>
       		<cxf:logging/>
		</jaxrs:features>  
    </jaxrs:server>
    
</beans>